#! /bin/sh
#
#   Module name 		: modperm1.sh 
#   Date of last delta		: 12/7/0
#   Release number		: 1.3


# Rev 1.00

# Fix to make Linux "echo" process escape characters
os=`uname -s`
if [ "x${os}" = "xLinux" ]
then
	. linfix.sh
fi


if [ -d $1 ]
then
# Change directory permissions for +rwx
	if [ "x$2" = "x-v" ]
	then
		echo "Directory $1 now has a+rwx permissions"
	fi
	chmod a+rwx $1
else
# Change file permissions for +rw
	if [ "x$2" = "x-v" ]
	then
		echo "File $1 now has a+rwx permissions"
	fi
	chmod a+rw $1
fi
