#! /bin/sh
#
#   Module name 		: showobit.sh 
#   Date of last delta		: 12/7/0
#   Release number		: 1.3


PATH=$PATH:. ; export PATH

# Fix to make Linux "echo" process escape characters
os=`uname -s`
if [ "x${os}" = "xLinux" ]
then
	. linfix.sh
fi


#set LS to $LS or ublobit if $LS not set
LS=${LS:-ublobit}

#should check for solbourne too.
if [ -n "`uname -a | grep SunOS`" -a \
     \( -n "`uname -r | grep '^4'`" -o -n "`uname -v | grep '^4'`" \) ]
then
	PS='ps -aux'
else
	PS='ps -eaf'
fi

#do a ps -eaf and grep for $LS, remove leading spaces, remove user id, 
#remove spaces, leave pid at start of line (now).
pids=`$PS | grep $LS | grep -v grep`
pids=`echo $pids | sed "s/ *//" | sed "s/[a-zA-Z0-9]*//" | sed "s/ *//" | sed "s/ .*//"`

echo
if [ `echo $pids| sed "s/ //g"` ]
then
	echo "$LS is running."
	echo "     pid(s) = " $pids
else
	echo "$LS not running."
fi
echo
